Package org.pushingpixels.lafwidget.ant

# Class ContainerGhostingType

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.pushingpixels.lafwidget.ant.ContainerGhostingType

All Implemented Interfaces:
  `Cloneable`

public class ContainerGhostingType extends org.apache.tools.ant.types.DataType
Ant type for storing `containerGhosting` elements of `AugmentContainerGhostingTask` task.

Represents the following build snippet:

     <containerGhosting className="org.pushingpixels.substance.internal.ui.SubstanceButtonUI"
     toInjectAfterOriginal="true" />

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`ContainerGhostingType()`
Creates new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the UI delegate class name.
`boolean`
`isToInjectAfterOriginal()`
Returns indication whether the ghosting should be injected before or after the original code.
`void`
`setClassName(String name)`
Sets the UI delegate class name.
`void`
`setToInjectAfterOriginal(boolean toInjectAfterOriginal)`
Returns indication whether the ghosting should be injected before or after the original code.

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerGhostingType

public ContainerGhostingType()
Creates new instance.

## Method Details

### setClassName

public void setClassName(String name)
Sets the UI delegate class name.

Parameters:
  `name` - UI delegate class name.

### getClassName

public String getClassName()
Returns the UI delegate class name.

Returns:
  UI delegate class name.

### isToInjectAfterOriginal

public boolean isToInjectAfterOriginal()
Returns indication whether the ghosting should be injected before or after the original code.

Returns:
  `true` if the ghosting should be injected after the original code, `false` if it should be injected before the original code.

### setToInjectAfterOriginal

public void setToInjectAfterOriginal(boolean toInjectAfterOriginal)
Returns indication whether the ghosting should be injected before or after the original code.

Parameters:
  `toInjectAfterOriginal` - `true` if the ghosting should be injected after the original code, `false` if it should be injected before the original code.